Bug 617180 - (CVE-2010-1914, MOPS-2010-014, MOPS-2010-015, MOPS-2010-016) CVE-2010-1914 php: bitwise operators interruption vulnerabilities (MOPS-2010-014, MOPS-2010-015, MOPS-2010-016)
CVE-2010-1914 php: bitwise operators interruption vulnerabilities (MOPS-2010-...
Status: CLOSED DUPLICATE of bug 169857
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Red Hat Product Security
impact=none,cvss2=2.1/AV:L/AC:L/Au:N/...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 08:03 EDT by Jan Lieskovsky
Modified: 2015-08-19 04:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 07:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Public MOPS-2010-014 reproducer (452 bytes, text/plain)
2010-07-22 08:07 EDT, Jan Lieskovsky
no flags Details
Public MOPS-2010-015 reproducer (454 bytes, text/plain)
2010-07-22 08:07 EDT, Jan Lieskovsky
no flags Details
Public MOPS-2010-016 reproducer (454 bytes, text/plain)
2010-07-22 08:08 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2010-07-22 08:03:41 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1914 to
the following vulnerability:

The Zend Engine in PHP 5.2 through 5.2.13 and 5.3 through 5.3.2
allows context-dependent attackers to obtain sensitive information
by interrupting the handler for the (1) ZEND_BW_XOR opcode
(shift_left_function), (2) ZEND_SL opcode (bitwise_xor_function),
or (3) ZEND_SR opcode (shift_right_function), related to the
convert_to_long_base function.

References:
  [1] http://www.php-security.org/2010/05/08/mops-2010-014-php-zend_bw_xor-opcode-interruption-address-information-leak-vulnerability/index.html
  [2] http://www.php-security.org/2010/05/08/mops-2010-015-php-zend_sl-opcode-interruption-address-information-leak-vulnerability/index.html
  [3] http://www.php-security.org/2010/05/08/mops-2010-016-php-zend_sr-opcode-interruption-address-information-leak-vulnerability/index.html
  [4] http://xforce.iss.net/xforce/xfdb/58587
Comment 1 Jan Lieskovsky 2010-07-22 08:07:17 EDT
Created attachment 433679 [details]
Public MOPS-2010-014 reproducer
Comment 2 Jan Lieskovsky 2010-07-22 08:07:56 EDT
Created attachment 433680 [details]
Public MOPS-2010-015 reproducer
Comment 3 Jan Lieskovsky 2010-07-22 08:08:42 EDT
Created attachment 433681 [details]
Public MOPS-2010-016 reproducer
Comment 6 Jan Lieskovsky 2010-07-22 11:18:09 EDT
This issue did NOT affect the versions of the php package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue affects the version of the php package, as shipped
with Red Hat Enterprise Linux 5.

This issue affects the versions of the php package, as shipped
with Fedora release of 12 and 13.
Comment 7 Jan Lieskovsky 2010-07-22 11:21:57 EDT
Statement:

Red Hat does not consider interruption issues allowing safe_mode / open_basedir
restriction bypass to be security sensitive.  For more details see
https://bugzilla.redhat.com/show_bug.cgi?id=169857#c1 and
http://www.php.net/security-note.php
Comment 8 Tomas Hoger 2010-07-27 07:05:46 EDT
Upstream fix:
  http://svn.php.net/viewvc?view=revision&revision=299280
Comment 9 Tomas Hoger 2010-07-27 07:06:43 EDT
More info on the impact of the interruption vulnerabilities - bug #617578, comment #3.

*** This bug has been marked as a duplicate of bug 169857 ***

Note You need to log in before you can comment on or make changes to this bug.